build_settings:
  clone_depth: 1
  verbose: true
  ignore:
    - vendor

setup:
  composer:
    action: install
    prefer_dist: true

test:
  php_parallel_lint: ~
  php_unit: ~
  php_loc: ~
  php_cpd:
    allow_failures: true
  php_mess_detector:
    rules:
        - phpmd.xml
    allow_failures: true

complete:
  email:
    committer: true
    addresses:
      - guillaume.perreal@irstea.fr

success:
  shell:
    - update-apidoc irstea/file-upload-bundle "$PHPCI_BUILD_PATH"
    - schedule-satis irstea/file-upload-bundle
